/* ----------------------------------------------------------------  */
/* MQSC WebSphereMQ Command Interface                                */
/* ----------------------------------------------------------------  */
  parse arg parms
  hLine = "="~copies(76) || ">"
  if parms~length = 0
  then do
    say ""
    say hLine
    say "MqscUtil.rex ===> WebSphereMQ MQSC utility program"
    say "Params       ===> QueueManager"
    say "Usage        ===> rexx MqscUtil.rex MQFFM01"
    say hLine
    exit -2222
  end
  else do
    parms = parms~translate
    parse var parms qmgrName GetQueue PutQueue
  end
  logFile = .stream~new("H:\_UK\MQ-Tools\Log\ChlMon.log")
  logOpen = ''
  do until logOpen = "READY:"
    logOpen = logFile~open
    if logOpen <> "READY:"
    then Call SysSleep 5
  end

  ig.QM = qmgrName
  rcc = rxfuncadd('RXMQINIT','RXMQT','RXMQINIT')
  rcc = RXMQINIT()
  parse var rcc rcInit .
  call 'WMQClientConn.rex' qmgrName
  parse var result zSystem qmgrName

  say '===> Your QueueManager is:' ig.QM
  ig.TO = 0
  do until cmdInp = 'QQ'
    parse upper pull cmdInp
    say ig.QM '===>' cmdInp
    if cmdInp <> '' & cmdInp <> 'QQ'
    then do
      rcc = RXMQC('ig.', cmdInp, 'og.')
      say rcc
      do i = 1 to og.0
        og.i = og.i~changestr('0A'x,'')~space
        say og.i
        LogFile~Lineout(og.i)
      end
    end
  end
  LogFile~close
Exit
