/* -------------------------------------------------------------------- */
/* MqcRemove.rex                          V001.001 ---> 02.05.2014, und */
/* -------------------------------------------------------------------- */
parse arg FileName
/* -------------------------------------------------------------------- */
  headLine.0  = 10
  headLine.1  = "* ---------------------------------------------------------------------- *"
  headLine.2  = "* QM     : SV0000000                                                     *"
  headLine.3  = "* Server : myhost.zit.commerzbank.com                                    *"
  headLine.4  = "* Port   : 1414                                                          *"
  headLine.5  = "* Owner  : 00-00-00 BBB                                                  *"
  headLine.6  = "* Env    : BBBB                                                          *"
  headLine.7  = "* ---------------------------------------------------------------------- *"
  headLine.8  = "* Aenderungshistorie                                                     *"
  headLine.9  = "* 08.04.2014 CM00481039                                               du *"
  headLine.10 = "* ---------------------------------------------------------------------- *"
  startTime = time()
  say "===> START ===>" startTime
  s = time("E")
  outFileName = FileName || ".out"
  inFile  = .stream~new(FileName)
  inArray = inFile~charin(,inFile~chars)~makearray
  chkFile = .stream~new("SysDefault.mqc")
  chkArray = chkFile~charin(,chkFile~chars)~makearray
  inFile~close ; chkFile~close
  outFile = .stream~new(outFileName)
  rcOut   = outFile~open('write replace')
  itemsOut = 0
  if rcOut = 'READY:' & inArray~items > 0 & chkArray~items > 0
  then do
    do inLine over inArray
      write = 1
      do chkLine over chkArray
        if inLine~pos(chkLine) > 0
        then do
          write = 0
          iterate
        end
      end
      if write = 1
      then do
        outFile~lineout(inLine)
        itemsOut = itemsOut + 1
      end
    end
  end
  outFile~close
  endTime = time()
  say "===> END   ===>" endTime ", Elapsed:" time("E")
  say "===> itemsIn:" inArray~items ", ItemsOut:" itemsOut ", Checked:" chkArray~items
  pull .
exit
